automake-ng
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Automake-NG] [FYI] [ng] tests: fix a spurious failure


From: Stefano Lattarini
Subject: [Automake-NG] [FYI] [ng] tests: fix a spurious failure
Date: Sat, 11 Aug 2012 13:52:31 +0200

* t/output11.sh: Here: some grepping checks had been broken by the
recent changes.

Signed-off-by: Stefano Lattarini <address@hidden>
---
 t/output11.sh | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/t/output11.sh b/t/output11.sh
index 7dbd835..b2da86b 100755
--- a/t/output11.sh
+++ b/t/output11.sh
@@ -20,16 +20,16 @@
 
 cat >> configure.ac << \END
 AC_SUBST([FOO], [foo])
-file1=this.in
-echo @FOO@ >$file1
-file2=that
-file3=mumble
-file4=foo
-AC_CONFIG_FILES([this:$file1],, [file1=$file1])
-AC_CONFIG_FILES([sub/this:$file1])
-AC_CONFIG_FILES([${file2}:this],, [file2=$file2])
-AC_CONFIG_FILES([$file3],, [file3=$file3])
-AC_CONFIG_FILES([$file4:foo.in],, [file4=$file4])
+xfile1=this.in
+echo @FOO@ >$xfile1
+xfile2=that
+xfile3=mumble
+xfile4=foo
+AC_CONFIG_FILES([this:$xfile1],, [xfile1=$xfile1])
+AC_CONFIG_FILES([sub/this:$xfile1])
+AC_CONFIG_FILES([${xfile2}:this],, [xfile2=$xfile2])
+AC_CONFIG_FILES([$xfile3],, [xfile3=$xfile3])
+AC_CONFIG_FILES([$xfile4:foo.in],, [xfile4=$xfile4])
 AC_CONFIG_FILES([sub/Makefile])
 AC_OUTPUT
 END
@@ -53,7 +53,7 @@ $ACLOCAL
 $AUTOCONF
 $AUTOMAKE
 
-$FGREP ' $file' Makefile.in sub/Makefile.in && exit 1
+$FGREP ' $xfile' Makefile.in sub/Makefile.in && exit 1
 
 ./configure
 $MAKE distcheck
-- 
1.7.12.rc0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]